Name: logrotate
Version: 3.15.1
Release: 3
License: GPL-3.0-or-later
Url: https://github.com/logrotate/logrotate
Summary: Rotates, compresses, removes and mails system log files

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: popt-devel
Requires: xz
Requires: gzip

Source0: https://github.com/logrotate/logrotate/releases/download/%{version}/logrotate-%{version}.tar.gz

Patch0: logrotate-sysconfdir.patch

%description
The logrotate utility is designed to simplify the administration of log 
files on a system which generates a lot of log files. Logrotate allows for the 
automatic rotation compression, removal and mailing of log files. Logrotate can 
be set to handle a log file hourly, daily, weekly, monthly or when the log file 
gets to a certain size.

%prep
%setup -q

%patch0 -p0

%build

%configure \
  ac_cv_func_utimensat=no \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --with-compress-command=%{_bindir}/gzip \
  --with-uncompress-command=%{_bindir}/gunzip \
  --with-default-mail-command=%{_bindir}/mail \
  --with-state-file-path=%{_localstatedir}/lib/%{name}/%{name}.status \
  %if "%{_bindir}" != "%{_sbindir}"
  --sbindir=%{_bindir}
  %endif

%make_build

%install
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
mkdir -p %{buildroot}%{_sysconfdir}/cron.daily
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}

%make_install

install -p -m 644 examples/logrotate.conf %{buildroot}%{_sysconfdir}/logrotate.conf
install -p -m 755 examples/logrotate.cron %{buildroot}%{_sysconfdir}/cron.daily/logrotate
touch %{buildroot}%{_localstatedir}/lib/logrotate.status

# create a symlink for previously shipped sbin/ files now in bin/
mkdir -p %{buildroot}%{_prefix}/sbin
ln -s %{_bindir}/logrotate %{buildroot}%{_prefix}/sbin/logrotate


%files
%defattr(-, qsys, *none)

%{_prefix}/sbin/logrotate

%{_bindir}/logrotate

%{_mandir}/man5/logrotate.conf.5*
%{_mandir}/man8/logrotate.8*

%attr(0755, qsys, *none) %{_sysconfdir}/cron.daily/logrotate
%attr(0644, qsys, *none) %config(noreplace) %{_sysconfdir}/logrotate.conf
%attr(0755, qsys, *none) %{_sysconfdir}/logrotate.d
%attr(0644, qsys, *none) %verify(not size md5 mtime) %config(noreplace) %{_localstatedir}/lib/logrotate.status

%changelog
* Fri Jan 07 2022 Mark Irish <mirish@ibm.com> - 3.15.1
- Move /QOpenSys/pkgs/sbin/logrotate to /QOpenSys/pkgs/bin/
- Create symlink from old sbin/logrotate to new location in bin/logrotate

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 3.15.1
- Use generic paths for man and info pages to allow for compression

* Fri Apr 17 2020 - Naveen Ram <naveen.ram@ibm.com> - 3.15.1
- Ship logrotate in bin instead of sbin

* Fri Apr 03 2020 - Naveen Ram <naveen.ram@ibm.com> - 3.15.1
- Add path options for compression and mail to configure
- Add state file option to configure

* Tue Feb 04 2020 - Naveen Ram <naveen.ram@ibm.com> - 3.15.1
- Initial package
